## altos 1.0.1

=== doc/Makefile ===
#
#	http://docbook.sourceforge.net/release/xsl/current/README
#

RELNOTES=\
	release-notes-0.7.1.html \
	release-notes-0.8.html \
	release-notes-0.9.html \
	release-notes-0.9.2.html \
	release-notes-1.0.1.html

RELNOTES_XSL=$(RELNOTES:.html=.xsl)
HTML=altusmetrum.html altos.html telemetry.html $(RELNOTES)
PDF=altusmetrum.pdf altos.pdf telemetry.pdf
DOC=$(HTML) $(PDF)
HTMLSTYLE=/usr/share/xml/docbook/stylesheet/docbook-xsl/html/docbook.xsl
FOSTYLE=/usr/share/xml/docbook/stylesheet/docbook-xsl/fo/docbook.xsl
PDFSTYLE=

.SUFFIXES: .xsl .html .fo .pdf

XSLTFLAGS=--stringparam section.autolabel 1 --xinclude

.xsl.html:
	xsltproc $(XSLTFLAGS) -o $@ $(HTMLSTYLE) $*.xsl

.xsl.fo:
	xsltproc $(XSLTFLAGS) -o $@ $(FOSTYLE) $*.xsl

.fo.pdf:
	fop -fo $*.fo -pdf $@

all:	$(HTML) $(PDF)

install:	all

publish:	$(DOC)
	cp $(DOC) /home/bdale/web/altusmetrum/AltOS/doc/
	(cd /home/bdale/web/altusmetrum ; \
	 git add /home/bdale/web/altusmetrum/AltOS/doc/* ; \
	 echo "update docs" | \
	 git commit -F - /home/bdale/web/altusmetrum/AltOS/doc/* ; \
	 git push)

clean:
	rm -f $(HTML) $(PDF) *.fo

distclean:
	rm -f $(HTML) $(PDF) *.fo

altusmetrum.html: $(RELNOTES_XSL)
altusmetrum.fo: $(RELNOTES_XSL)

indent:		altusmetrum.xsl
	xmlindent -i 2 < altusmetrum.xsl > altusmetrum.new

=== src/test/Makefile ===
vpath % ..
vpath % ../kalman

PROGS=ao_flight_test ao_flight_test_baro ao_flight_test_accel ao_gps_test ao_gps_test_skytraq ao_convert_test

CFLAGS=-I.. -I.

all: $(PROGS)

clean:
	rm -f $(PROGS)

install:

ao_flight_test: ao_flight_test.c ao_host.h ao_flight.c ao_sample.c ao_kalman.c altitude.h ao_kalman.h
	cc -g -o $@ $<

ao_flight_test_baro: ao_flight_test.c ao_host.h ao_flight.c  ao_sample.c ao_kalman.c altitude.h ao_kalman.h
	cc -g -o $@ -DHAS_ACCEL=0 ../ao_flight_test.c

ao_flight_test_accel: ao_flight_test.c ao_host.h ao_flight.c  ao_sample.c ao_kalman.c altitude.h ao_kalman.h
	cc -g -o $@ -DFORCE_ACCEL=1 ../ao_flight_test.c

ao_gps_test: ao_gps_test.c ao_gps_sirf.c ao_gps_print.c ao_host.h
	cc -g -o $@ $<

ao_gps_test_skytraq: ao_gps_test_skytraq.c ao_gps_skytraq.c ao_gps_print.c ao_host.h
	cc -g -o $@ $<

ao_convert_test: ao_convert_test.c ao_convert.c altitude.h
	cc -g -o $@ $<

../ao_kalman.h: make-kalman kalman.5c kalman_filter.5c load_csv.5c matrix.5c
	sh $< > $@

=== debian/changelog ===
altos (1.0.1) unstable; urgency=low

  [ Bdale Garbee ]
  * use multimaint-merge to make Debian changelogs less ugly
  * update TeleMini turnon script now that we've made a stable firmware release
  * moving git-buildpackage config into .git/ since it is fairly specific to 
    Bdale's build environment, and doesn't need to be in the source package
  * get ready for a 1.0.1 release
  * update changelogs for Debian build
  * fix telemini firmware path name
  * ignore generated log file
  * roll release notes version from 1.0 to 1.0.1
  * roll back packaging changelog for rebuild

  [ Keith Packard ]
  * altos: Clear callsign on initial config load

 -- Bdale Garbee <bdale@gag.com>  Fri, 26 Aug 2011 10:39:29 -0600

altos (1.0) unstable; urgency=low

  [ Keith Packard ]
  * altos: Lost change that reported flight 0 when log memory was full
  * altosui: Ancient log files used 'apogee' for 'coast' state
  * altosui: Add 'On-board Data Logging' indicator to pad tab

  [ Bdale Garbee ]
  * update changelogs for Debian build
  * update changelogs for Debian build

  [ Keith Packard ]
  * altosui: remove debug printf in pad pane
  * altosui: Disable 'max flight log' config when there are stored flights
  * altos: Merge common config code in ao_config.c
  * Bump version to 0.9.7
  * altos/altosui: Add ability to disable telemetry/rdf completely
  * altosui: Clean up command line processing. Add --graph
  * altos-fat/windows: Check and install Java 1.6 as needed
  * altosui/windows: Fix a bunch of windows compiler warnings.
  * altosui: Attempt to make both 32- and 64-bit windows DLLs
  * doc: Add note about telemetry disable mode to 1.0 release notes
  * doc: Add Installation Recommendations chapter
  * altosui: Add a few simple unit conversions
  * altosui: Capture date/time/serial/flight in AltosFlightStats
  * altosui: Add date/time/serial/flight to flight stats tab
  * altosui: Show filename in AltosGraph window
  * altosui: Add --summary option to dump flight stats to stdout
  * altosui: Make monitor-idle display correct 'On-board data logging' status
  * altosui: Can't configure flight log max on TeleMini
  * altosui: fix 'magic' string to signal end of config data
  * altosui: Only 'show' config dialog once
  * altosui: Reset all config data on 'reset' command
  * altosui: Update mac os X library
  * libaltos: fix Mac OS X function signatures
  * altosui: add tool-tips to the button box.

  [ Bdale Garbee ]
  * turn off auto-tagging during Debian build
  * update changelogs for Debian build
  * rewind changelog to 0.9.6.0 for rebuild
  * update changelogs for Debian build

  [ Keith Packard ]
  * altosui: Use system look&feel
  * Remove stale tools (ao-dumplog, ao-postflight, ao-view)
  * altosui: Add tool-tips to config dialogs
  * altosui: Try to get dialogs to look a little better

  [ Bdale Garbee ]
  * another test round
  * roll changelog back in prep for another test build
  * update changelogs for Debian build
  * add pkg-config to the build deps
  * prepare for another rebuild
  * update changelogs for Debian build

  [ Keith Packard ]
  * altosui: Don't trust companion telemetry record 'channels' count
  * altosui: Make flight monitor font size configurable
  * altos/windows: Get latest JRE 1.6 version (Version 6 update 27)

  [ Bdale Garbee ]
  * doc tweaks through chap 3

  [ Keith Packard ]
  * doc: Spelling corrections in altusmetrum.xsl
  * doc: Document pad-mode 'on-board data logging' indicator

  [ Bdale Garbee ]
  * more doc tweaking

  [ Keith Packard ]
  * doc: Describe packet command mode a bit better.
  * doc: Move Packet Command Mode section to System Operations chapter

  [ Bdale Garbee ]
  * more doc tweaks
  * more tweaks

  [ Keith Packard ]
  * doc: use 'radio link' to refer to packet command mode

  [ Bdale Garbee ]
  * more tweaking

  [ Keith Packard ]
  * doc: Move updating device firmware section to separate chapter
  * doc: Updating Firmware is now a separate chapter

  [ Bdale Garbee ]
  * more changes

  [ Keith Packard ]
  * doc: Move the remaining command-mode descriptions to the appendix

  [ Bdale Garbee ]
  * tweak tweak tweak

  [ Keith Packard ]
  * doc: Describe max flight log, ignite mode and pad orientation
  * doc: Remove duplicate documentation about max flight log

  [ Bdale Garbee ]
  * more tweaks
  * prepare to release
  * don't deliver sources.list fragment in official Debian packages
  * changes in preparation for upload to Debian
  * ao-view is no longer included in the altos package, so have the 
    old-style Debian menu entry point to altosui instead
  * rewind packaging changelog to last tagged version
  * update desktop file for consistency with package section
  * we need a main category in the desktop file
  * really, I mean it, no longer deliver the sources.list fragment
  * add a postinst to remove sources.list.d fragment delivered by old 
    private versions of this package, no longer needed once we have 
    official packages

 -- Bdale Garbee <bdale@gag.com>  Thu, 25 Aug 2011 02:22:21 -0600

altos (0.9.6.0) unstable; urgency=low

  [ Keith Packard ]
  * altos: Correct flight log max on Tm to 5k
  * altosui: Change button to 'Configure Altimeter'
  * altos: Remove pad_orientation functions from non-accel devices
  * altos: Add ability to set arbitrary radio frequency
  * altosui: Add dialogs to configure 'common' frequencies
  * altosui: Convert from channels to frequencies
  * Set version to 0.9.5.0
  * altosui: altimeter is not spelled altimter
  * altosui: Pull out BlueTooth support
  * altos: minor type in comment about accel correction
  * altosui: Must set radio calibration before radio setting
  * altosui: A few misc cleanups.
  * altosui: Have single radio_to_frequency function
  * altosui: Save frequency after setting it in AltosFlightUI
  * altosui: Show AltosFrequency in scan results
  * altosui: Remove debugging printfs from AltosSerial
  * altosui: Flush radio setting to serial device


=== debian/control ===
Source: altos
Section: electronics
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Uploaders: Keith Packard <keithp@keithp.com>
Build-Depends: debhelper (>= 7), autoconf, automake, gawk, libreadline-dev, libusb-1.0-0-dev, nickle, sdcc, xsltproc, fop, docbook-xml, docbook-xsl, swig, openjdk-6-jdk, freetts, libtool, libjfreechart-java, libbluetooth-dev, pkg-config
Standards-Version: 3.9.2
Homepage: http://altusmetrum.org/AltOS
Vcs-Git: git://git.gag.com/fw/altos
Vcs-Browser: http://git.gag.com/?p=fw/altos

Package: altos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime, freetts, nickle
Suggests: slim | gdm
Replaces: altusmetrum-themes, slim-altusmetrum
Conflicts: altusmetrum-themes, slim-altusmetrum
Description: Altus Metrum firmware and utilities
 Firmware and utilities needed to support high power model rocketry products
 from Altus Metrum, including TeleMetrum, TeleMini, and TeleDongle.
 .
 See http://altusmetrum.org/ for more information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
PKG_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)/\1/p')
DEB_VERSION := $(shell if [ -x /usr/bin/git ]; then git describe; else echo 0; fi | tr - +)

# this target invoked by git-buildpackage using a clean hook, see .gbp.conf
prebuild:
	echo $(DEB_VERSION)
	git-dch --release --new-version=$(DEB_VERSION) --multimaint-merge
	git log > ChangeLog
	git commit -n ChangeLog debian/changelog \
		-m "update changelogs for Debian build"
#	git tag debian/$(DEB_VERSION)
#	git push --tags origin master

configure: configure-stamp
configure-stamp:
	dh_testdir
	./autogen.sh --prefix=/usr
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	$(MAKE) VERSION=$(PKG_VERSION)
	(cd doc ; $(MAKE))
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/altos install
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/altos/usr/lib/altos/ -name '*.la'`

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	ln -s /usr/share/altos/themes/background.png \
		debian/altos/usr/share/gdm/themes/altusmetrum/background.png
	ln -s /usr/share/altos/themes/background.png \
		debian/altos/usr/share/slim/themes/altusmetrum/background.png
	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## altos 1.0.2

=== doc/Makefile ===
--- 
+++ 
@@ -7,7 +7,8 @@
 	release-notes-0.8.html \
 	release-notes-0.9.html \
 	release-notes-0.9.2.html \
-	release-notes-1.0.1.html
+	release-notes-1.0.1.html \
+	release-notes-1.0.2.html
 
 RELNOTES_XSL=$(RELNOTES:.html=.xsl)
 HTML=altusmetrum.html altos.html telemetry.html $(RELNOTES)

=== src/Makefile ===
#
# AltOS build
#
#
CC=sdcc

include Version

SUBDIRS=\
	telemetrum-v1.1 telemetrum-v1.0 \
	teledongle-v0.2 teledongle-v0.1 \
	telemini-v1.0 telenano-v0.1 \
	telebt-v0.0 telebt-v0.1 \
	telemetrum-v0.1-sky telemetrum-v0.1-sirf \
	tidongle test

all: all-recursive

RECURSIVE_TARGETS = all-recursive clean-recursive install-recursive

$(RECURSIVE_TARGETS):
	@target=`echo $@ | sed 's/-recursive//'`; \
	for subdir in $(SUBDIRS); do \
		echo "Making $$target in $$subdir"; \
		(cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

distclean:	clean

clean: clean-recursive

install: install-recursive

uninstall:

=== src/telemetrum-v1.1/Makefile ===
include ../Makefile.proto

=== debian/changelog ===
altos (1.0.2) unstable; urgency=low

  [ Bdale Garbee ]
  * update release process docs
  * update changelogs for Debian build
  * include 1.0.1 release notes in docs, closes: #642705
  * add run-time dependency on libjfreechart-java

  [ Keith Packard ]
  * altos: Delay reboot by a second to avoid re-entering idle mode
  * Bump to version 1.0.2
  * altos: TM: Don't turn on packet slave mode until idle/invalid state
  * doc: Add 1.0.2 release notes

 -- Bdale Garbee <bdale@gag.com>  Wed, 28 Sep 2011 01:58:27 -0600

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: altos
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime, freetts, nickle
+Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime, freetts, nickle, libjfreechart-java
 Suggests: slim | gdm
 Replaces: altusmetrum-themes, slim-altusmetrum
 Conflicts: altusmetrum-themes, slim-altusmetrum

## altos 1.0.3

=== src/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include Version
 
 SUBDIRS=\
-	telemetrum-v1.1 telemetrum-v1.0 \
+	telemetrum-v1.2 telemetrum-v1.1 telemetrum-v1.0 \
 	teledongle-v0.2 teledongle-v0.1 \
 	telemini-v1.0 telenano-v0.1 \
 	telebt-v0.0 telebt-v0.1 \

=== debian/changelog ===
altos (1.0.3) unstable; urgency=low

  [ Bdale Garbee ]
  * lose the bluetooth lib dependency until it's relevant
  * don't try to include bluetooth headers
  * don't try to link bluetooth lib
  * mention release notes in Releasing file prep stage
  * more notes on release notes in Releasing
  * releasing 1.0.3

  [ Keith Packard ]
  * altos: Create TeleMetrum v1.2 directory
  * Add 1.0.3 release notes.

 -- Bdale Garbee <bdale@gag.com>  Sun, 25 Dec 2011 19:08:56 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bdale Garbee <bdale@gag.com>
 Uploaders: Keith Packard <keithp@keithp.com>
-Build-Depends: debhelper (>= 7), autoconf, automake, gawk, libreadline-dev, libusb-1.0-0-dev, nickle, sdcc, xsltproc, fop, docbook-xml, docbook-xsl, swig, openjdk-6-jdk, freetts, libtool, libjfreechart-java, libbluetooth-dev, pkg-config
+Build-Depends: debhelper (>= 7), autoconf, automake, gawk, libreadline-dev, libusb-1.0-0-dev, nickle, sdcc, xsltproc, fop, docbook-xml, docbook-xsl, swig, openjdk-6-jdk, freetts, libtool, libjfreechart-java, pkg-config
 Standards-Version: 3.9.2
 Homepage: http://altusmetrum.org/AltOS
 Vcs-Git: git://git.gag.com/fw/altos

## altos 1.0.3ubuntu1

=== ao-bringup/Makefile ===
CC=sdcc
DEBUG=--debug

CFLAGS=--model-small --debug -I../src

LDFLAGS=--out-fmt-ihx --code-loc 0xf000 --xram-loc 0xf400 --xram-size 1024 --iram-size 0xff

INC = \
	ao_bringup.h

BRINGUP_SRC = ao_init.c

BRINGUP_REL=$(BRINGUP_SRC:.c=.rel)

XMIT_SRC = \
	ao_radio_init.c \
	ao_radio_xmit.c
XMIT_REL=$(XMIT_SRC:.c=.rel) $(BRINGUP_REL)

LED_SRC = \
	ao_led_blink.c

LED_REL=$(LED_SRC:.c=.rel) $(BRINGUP_REL)

SRC=$(BRINGUP_SRC) $(XMIT_SRC) $(LED_SRC)

ADB=$(SRC:.c=.adb)
ASM=$(SRC:.c=.asm)
LNK=$(SRC:.c=.lnk)
LST=$(SRC:.c=.lst)
REL=$(SRC:.c=.rel)
RST=$(SRC:.c=.rst)
SYM=$(SRC:.c=.sym)

PROGS=ao_radio_xmit.ihx ao_led_blink.ihx

PCDB=$(PROGS:.ihx=.cdb)
PLNK=$(PROGS:.ihx=.lnk)
PMAP=$(PROGS:.ihx=.map)
PMEM=$(PROGS:.ihx=.mem)
PAOM=$(PROGS:.ihx=)

%.rel : %.c
	$(CC) -c $(CFLAGS) -o$*.rel $<

all: $(PROGS)

ao_radio_xmit.ihx: $(XMIT_REL)
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $(XMIT_REL)

ao_led_blink.ihx: $(LED_REL)
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $(LED_REL)

clean:
	rm -f $(ADB) $(ASM) $(LNK) $(LST) $(REL) $(RST) $(SYM)
	rm -f $(PROGS) $(PCDB) $(PLNK) $(PMAP) $(PMEM) $(PAOM)

install:

=== doc/Makefile ===
--- 
+++ 
@@ -8,7 +8,8 @@
 	release-notes-0.9.html \
 	release-notes-0.9.2.html \
 	release-notes-1.0.1.html \
-	release-notes-1.0.2.html
+	release-notes-1.0.2.html \
+	release-notes-1.0.3.html \
 
 RELNOTES_XSL=$(RELNOTES:.html=.xsl)
 HTML=altusmetrum.html altos.html telemetry.html $(RELNOTES)

=== debian/changelog ===
altos (1.0.3ubuntu1) precise; urgency=low

  * Depend on default-jdk instead of openjdk-6-jdk, so that the configure
    script can find the JDK.

 -- Stefano Rivera <stefanor@ubuntu.com>  Thu, 12 Jan 2012 15:35:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: altos
 Section: electronics
 Priority: optional
-Maintainer: Bdale Garbee <bdale@gag.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Bdale Garbee <bdale@gag.com>
 Uploaders: Keith Packard <keithp@keithp.com>
-Build-Depends: debhelper (>= 7), autoconf, automake, gawk, libreadline-dev, libusb-1.0-0-dev, nickle, sdcc, xsltproc, fop, docbook-xml, docbook-xsl, swig, openjdk-6-jdk, freetts, libtool, libjfreechart-java, pkg-config
+Build-Depends: debhelper (>= 7), autoconf, automake, gawk, libreadline-dev, libusb-1.0-0-dev, nickle, sdcc, xsltproc, fop, docbook-xml, docbook-xsl, swig, default-jdk, freetts, libtool, libjfreechart-java, pkg-config
 Standards-Version: 3.9.2
 Homepage: http://altusmetrum.org/AltOS
 Vcs-Git: git://git.gag.com/fw/altos

## altos 1.1.1

=== doc/Makefile ===
--- 
+++ 
@@ -8,12 +8,12 @@
 	release-notes-0.9.html \
 	release-notes-0.9.2.html \
 	release-notes-1.0.1.html \
-	release-notes-1.0.2.html \
-	release-notes-1.0.3.html \
+	release-notes-1.1.1.html \
+	release-notes-1.1.html
 
 RELNOTES_XSL=$(RELNOTES:.html=.xsl)
-HTML=altusmetrum.html altos.html telemetry.html $(RELNOTES)
-PDF=altusmetrum.pdf altos.pdf telemetry.pdf
+HTML=altusmetrum.html altos.html telemetry.html companion.html $(RELNOTES)
+PDF=altusmetrum.pdf altos.pdf telemetry.pdf companion.pdf
 DOC=$(HTML) $(PDF)
 HTMLSTYLE=/usr/share/xml/docbook/stylesheet/docbook-xsl/html/docbook.xsl
 FOSTYLE=/usr/share/xml/docbook/stylesheet/docbook-xsl/fo/docbook.xsl

=== src/Makefile ===
#
# AltOS build
#

vpath make-altitude util
vpath make-altitude-pa util
vpath make-kalman util
vpath make-whiten util
vpath kalman.5c kalman
vpath kalman_filter.5c kalman
vpath load_csv.5c kalman
vpath matrix.5c kalman

include Version

ifneq ($(shell which sdcc),)
	SUBDIRS+=\
	telemetrum-v1.2 telemetrum-v1.1 telemetrum-v1.0 \
	teledongle-v0.2 teledongle-v0.1 \
	telemini-v1.0 telenano-v0.1 \
	telebt-v0.0 telebt-v0.1 \
	telemetrum-v0.1-sky telemetrum-v0.1-sirf \
	telelaunch-v0.1 tidongle test \
	teleterra-v0.2 teleshield-v0.1 \
	telefire-v0.1 \
	spiradio-v0.1
endif

ifneq ($(shell which avr-gcc),)
	SUBDIRS += telescience-v0.1 telepyro-v0.1
endif

ifneq ($(shell which arm-none-eabi-gcc),)
	SUBDIRS += megametrum-v0.1 stm-bringup stm-demo telelco-v0.1
endif

all: all-local all-recursive

RECURSIVE_TARGETS = all-recursive clean-recursive install-recursive

$(RECURSIVE_TARGETS):
	@target=`echo $@ | sed 's/-recursive//'`; \
	for subdir in $(SUBDIRS); do \
		echo "Making $$target in $$subdir"; \
		(cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

distclean:	clean

clean: clean-local clean-recursive

install: install-recursive

uninstall:

all-recursive: all-local

all-local: altitude.h altitude-pa.h ao_kalman.h ao_whiten.h

altitude.h: make-altitude
	nickle $< > $@

altitude-pa.h: make-altitude-pa
	nickle $< > $@

ao_kalman.h: make-kalman kalman.5c kalman_filter.5c load_csv.5c matrix.5c
	bash $< kalman > $@

ao_whiten.h: make-whiten
	nickle $< > $@

clean-local:
	rm -f altitude.h ao_kalman.h

=== src/avr-demo/Makefile ===
#
# AltOS build
#
#
vpath % ..:../core:../product:../drivers:../avr
vpath make-altitude ..
vpath make-kalman ..
vpath kalman.5c ../kalman
vpath kalman_filter.5c ../kalman
vpath load_csv.5c ../kalman
vpath matrix.5c ../kalman
vpath ao-make-product.5c ../util

MCU=atmega32u4
DUDECPUTYPE=m32u4
#PROGRAMMER=stk500v2 -P usb
PROGRAMMER=usbtiny
LOADCMD=avrdude
LOADARG=-p $(DUDECPUTYPE) -c $(PROGRAMMER) -e -U flash:w:
CC=avr-gcc
OBJCOPY=avr-objcopy

ifndef VERSION
include ../Version
endif

INC = \
	ao.h \
	ao_pins.h \
	altitude.h \
	ao_kalman.h

#
# Common AltOS sources
#
ALTOS_SRC = \
	ao_cmd.c \
	ao_mutex.c \
	ao_panic.c \
	ao_product.c \
	ao_romconfig.c \
	ao_serial_avr.c \
	ao_avr_stdio.c \
	ao_stdio.c \
	ao_task.c \
	ao_timer.c \
	ao_led.c \
	ao_usb_avr.c \
	ao_lcd.c

PRODUCT=AvrDemo-v0.0
MCU=atmega32u4
PRODUCT_DEF=-DAVR_DEMO
IDPRODUCT=0x000a
CFLAGS = $(PRODUCT_DEF) -I. -I../avr -I../core -I..
CFLAGS += -g -mmcu=$(MCU) -Wall -Wstrict-prototypes -Os -mcall-prologues

NICKLE=nickle

PROG=avr-demo

SRC=$(ALTOS_SRC) ao_demo.c ao_debug_avr.c
OBJ=$(SRC:.c=.o)

V=0
# The user has explicitly enabled quiet compilation.
ifeq ($(V),0)
quiet = @printf "  $1 $2 $@\n"; $($1)
endif
# Otherwise, print the full command line.
quiet ?= $($1)

all: $(PROG)

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ)

$(PROG).hex: $(PROG)
	avr-size $(PROG)
	$(OBJCOPY) -R .eeprom -O ihex $(PROG) $@


load: $(PROG).hex
	$(LOADCMD) $(LOADARG)$(PROG).hex

../altitude.h: make-altitude
	nickle $< > $@

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

ao_product.rel: ao_product.c ao_product.h
	$(call quiet,CC) -c $(CFLAGS) -D PRODUCT_DEFS='\"ao_product.h\"' -o$@ $<

distclean:	clean

clean:
	rm -f $(OBJ)
	rm -f ao_product.h

install:

uninstall:

$(OBJ): ao.h ao_product.h

=== src/megametrum-v0.1/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	altitude.h \
	ao_kalman.h \
	ao_product.h \
	ao_ms5607.h \
	ao_hmc5883.h \
	ao_mpu6000.h \
	ao_mma655x.h \
	ao_cc1120_CC1120.h \
	ao_profile.h \
	ao_whiten.h \
	stm32l.h

#
# Common AltOS sources
#

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

#	ao_hmc5883.c

ALTOS_SRC = \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_serial_stm.c \
	ao_gps_skytraq.c \
	ao_gps_report_mega.c \
	ao_ignite.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_cc1120.c \
	ao_fec_tx.c \
	ao_fec_rx.c \
	ao_data.c \
	ao_ms5607.c \
	ao_mma655x.c \
	ao_hmc5883.c \
	ao_adc_stm.c \
	ao_beep_stm.c \
	ao_storage.c \
	ao_m25.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_report.c \
	ao_i2c_stm.c \
	ao_mpu6000.c \
	ao_convert_pa.c \
	ao_log.c \
	ao_log_mega.c \
	ao_sample.c \
	ao_kalman.c \
	ao_flight.c \
	ao_telemetry.c \
	ao_packet_slave.c \
	ao_packet.c \
	ao_companion.c \
	ao_pyro.c \
	$(PROFILE)

PRODUCT=MegaMetrum-v0.1
PRODUCT_DEF=-DMEGAMETRUM
IDPRODUCT=0x0023

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) -Os -g

PROGNAME=megametrum-v0.1
PROG=$(PROGNAME)-$(VERSION).elf

SRC=$(ALTOS_SRC) ao_megametrum.c
OBJ=$(SRC:.c=.o)

all: $(PROG)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(SAT_CLIB) -lgcc

../altitude.h: make-altitude
	nickle $< > $@

$(OBJ): $(INC)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf
	rm -f ao_product.h

install:

uninstall:

=== src/spiradio-v0.1/Makefile ===
#
# SpiRadio build file
#

SPIRADIO_VER=0.1
SPIRADIO_DEF=0_1

vpath %.c ..:../core:../cc1111:../drivers:../product
vpath %.h ..:../core:../cc1111:../drivers:../product
vpath ao-make-product.5c ../util

ifndef VERSION
include ../Version
endif

INC = \
	ao.h \
	ao_pins.h \
	ao_arch.h \
	ao_arch_funcs.h \
	cc1111.h \
	ao_product.h \
	ao_radio_spi.h

CORE_SRC = \
	ao_cmd.c \
	ao_config.c \
	ao_mutex.c \
	ao_panic.c \
	ao_stdio.c \
	ao_task.c \
	ao_freq.c

CC1111_SRC = \
	ao_aes.c \
	ao_dma.c \
	ao_led.c \
	ao_radio.c \
	ao_radio_cmac.c \
	ao_radio_slave.c \
	ao_romconfig.c \
	ao_serial.c \
	ao_spi.c \
	ao_string.c \
	ao_timer.c \
	_bp.c

PRODUCT_SRC = \
	ao_spiradio.c

SRC = \
	$(CORE_SRC) \
	$(CC1111_SRC) \
	$(PRODUCT_SRC)

PROGNAME = spiradio-v$(SPIRADIO_VER)
PROG = $(PROGNAME)-$(VERSION).ihx
PRODUCT=SpiRadio-v$(SPIRADIO_VER)
PRODUCT_DEF=-DSPIRADIO_V_$(SPIRADIO_DEF)
IDPRODUCT=0x000f
CODESIZE=0x6700

include ../cc1111/Makefile.cc1111

NICKLE=nickle
CHECK_STACK=sh ../util/check-stack

V=0
# The user has explicitly enabled quiet compilation.
ifeq ($(V),0)
quiet = @printf "  $1 $2 $@\n"; $($1)
endif
# Otherwise, print the full command line.
quiet ?= $($1)

all: ../$(PROG)

../$(PROG): $(REL) Makefile
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(REL) && cp $(PROG) $(PMAP) ..
	$(call quiet,CHECK_STACK) ../cc1111/ao_arch.h $(PMEM)  || rm $@

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean: clean-cc1111

install:

uninstall:

=== src/stm-bringup/Makefile ===
vpath % ..:../core:../product:../drivers:../stm
vpath ao-make-product.5c ../util

ifndef VERSION
include ../Version
endif

CC=arm-none-eabi-gcc
OBJCOPY=arm-none-eabi-objcopy

PDCLIB=/home/keithp/sat
C_LIB=$(PDCLIB)/lib/pdclib.a
C_INC=-I$(PDCLIB)/include

DEF_CFLAGS=-g -std=gnu99 -Os -mlittle-endian -mthumb -ffreestanding -nostdlib -I../../src/stm $(C_INC)

# to run from SRAM
LD_FLAGS_RAM=-L../stm -Wl,-Taltos-ram.ld
LD_FLAGS=-L../stm -Wl,-Tbringup.ld

CFLAGS=$(DEF_CFLAGS) -mcpu=cortex-m3 -DCONFIG_STM32L_DISCOVERY

SRC=bringup.c ao_interrupt.c
OBJ=$(SRC:.c=.o)

all: bringup-ram.elf bringup.elf

%.bin: %.elf
	$(OBJCOPY) -O binary $^ $@

bringup.elf: $(OBJ) $(C_LIB) bringup.ld
	$(CC) $(CFLAGS) $(LD_FLAGS) -o $@ $(OBJ) $(C_LIB) -lgcc

bringup-ram.elf: $(OBJ) $(C_LIB) altos-ram.ld
	$(CC) $(CFLAGS) $(LD_FLAGS_RAM) -o $@ $(OBJ) $(C_LIB) -lgcc

clean:
	rm -f *.o
	rm -rf *.elf
	rm -rf *.bin

.PHONY: all clean

install:

uninstall:

=== src/stm-demo/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h

#
# Common AltOS sources
#
ALTOS_SRC = \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_task.c \
	ao_led.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_serial_stm.c \
	ao_lcd_stm.c \
	ao_lcd_font.c \
	ao_mutex.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_adc_stm.c \
	ao_data.c \
	ao_i2c_stm.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_event.c \
	ao_quadrature.c \
	ao_button.c

PRODUCT=StmDemo-v0.0
PRODUCT_DEF=-DSTM_DEMO
IDPRODUCT=0x000a

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) -g -O0

PROG=stm-demo

SRC=$(ALTOS_SRC) ao_demo.c
OBJ=$(SRC:.c=.o)

all: $(PROG)

LDFLAGS=-L../stm -Wl,-Taltos.ld

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(SAT_CLIB) -lgcc

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROG)
	rm -f ao_product.h

install:

uninstall:

=== src/teleballoon-v1.1/Makefile ===
#
# TeleBalloon build file
#
# The various telemetrum versions differ only
# in which flash and GPS drivers are included,
# so the per-board makefiles simply define
# TM_VER, TM_DEF, TM_INC and TM_SRC and include
# this file

TELEBALLOON_VER=1.1
TELEBALLOON_DEF=1_1

TELEBALLOON_INC =

TELEBALLOON_SRC = \
	ao_companion.c \
	ao_gps_skytraq.c \
	ao_m25.c

vpath %.c ..:../core:../cc1111:../drivers:../product:.
vpath %.h ..:../core:../cc1111:../drivers:../product:.
vpath ao-make-product.5c ../util

ifndef VERSION
include ../Version
endif

INC = \
	ao.h \
	ao_pins.h \
	cc1111.h \
	altitude.h \
	ao_kalman.h \
	ao_product.h \
	$(TELEBALLOON_INC)

CORE_SRC = \
	ao_cmd.c \
	ao_config.c \
	ao_convert.c \
	ao_gps_report.c \
	ao_mutex.c \
	ao_panic.c \
	ao_stdio.c \
	ao_storage.c \
	ao_task.c \
	ao_balloon.c \
	ao_sample.c \
	ao_kalman.c \
	ao_log.c \
	ao_log_big.c \
	ao_report.c \
	ao_telemetry.c

CC1111_SRC = \
	ao_adc.c \
	ao_beep.c \
	ao_dbg.c \
	ao_dma.c \
	ao_led.c \
	ao_packet.c \
	ao_packet_slave.c \
	ao_radio.c \
	ao_romconfig.c \
	ao_serial.c \
	ao_string.c \
	ao_spi.c \
	ao_timer.c \
	ao_usb.c \
	_bp.c

DRIVER_SRC = \
	$(TELEBALLOON_SRC)

PRODUCT_SRC = \
	ao_teleballoon.c

SRC = \
	$(CORE_SRC) \
	$(CC1111_SRC) \
	$(DRIVER_SRC) \
	$(PRODUCT_SRC)

PROGNAME = teleballoon-v$(TELEBALLOON_VER)
PROG = $(PROGNAME)-$(VERSION).ihx
PRODUCT=TeleBalloon-v$(TELEBALLOON_VER)
PRODUCT_DEF=-DTELEBALLOON_V_$(TELEBALLOON_DEF)
IDPRODUCT=0x000b

include ../cc1111/Makefile.cc1111

NICKLE=nickle
CHECK_STACK=sh ../util/check-stack

V=0
# The user has explicitly enabled quiet compilation.
ifeq ($(V),0)
quiet = @printf "  $1 $2 $@\n"; $($1)
endif
# Otherwise, print the full command line.
quiet ?= $($1)

all: $(PROG)

$(PROG): $(REL) Makefile
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(REL) && cp $(PROG) $(PMAP) ..
	$(call quiet,CHECK_STACK) ../cc1111/ao_arch.h $(PMEM) || rm $@

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean: clean-cc1111

install:

uninstall:

=== src/telebt-v0.0/Makefile ===
#
# TeleBT v0.0 build
#

TELEBT_VER=0.0
TELEBT_DEF=0_0

include ../product/Makefile.telebt

=== src/telebt-v0.1/Makefile ===
#
# TeleBT v0.1 build
#

TELEBT_VER=0.1
TELEBT_DEF=0_1

TELEBT_INC = \
	ao_25lc1024.h

TELEBT_SRC = \
	ao_beep.c \
	ao_log_single.c \
	ao_log_telem.c \
	ao_report.c \
	ao_spi.c \
	ao_storage.c \
	ao_m25.c

include ../product/Makefile.telebt

=== src/telefire-v0.1/Makefile ===
#
# TeleFire build file
#

TELEFIRE_VER=0.1
TELEFIRE_DEF=0_1

vpath %.c ..:../core:../cc1111:../drivers:../product
vpath %.h ..:../core:../cc1111:../drivers:../product
vpath ao-make-product.5c ../util

ifndef VERSION
include ../Version
endif

INC = \
	ao.h \
	ao_pins.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pad.h \
	cc1111.h \
	ao_product.h

CORE_SRC = \
	ao_cmd.c \
	ao_config.c \
	ao_convert.c \
	ao_mutex.c \
	ao_panic.c \
	ao_stdio.c \
	ao_storage.c \
	ao_task.c \
	ao_freq.c

CC1111_SRC = \
	ao_adc.c \
	ao_aes.c \
	ao_beep.c \
	ao_dma.c \
	ao_intflash.c \
	ao_radio.c \
	ao_radio_cmac.c \
	ao_romconfig.c \
	ao_serial.c \
	ao_spi.c \
	ao_string.c \
	ao_timer.c \
	ao_usb.c \
	_bp.c

DRIVER_SRC = \
	ao_pca9922.c \
	ao_74hc497.c \
	ao_pad.c \
	ao_radio_cmac_cmd.c

PRODUCT_SRC = \
	ao_telefire.c

SRC = \
	$(CORE_SRC) \
	$(CC1111_SRC) \
	$(DRIVER_SRC) \
	$(PRODUCT_SRC)

PROGNAME = telefire-v$(TELEFIRE_VER)
PROG = $(PROGNAME)-$(VERSION).ihx
PRODUCT=TeleFire-v$(TELEFIRE_VER)
PRODUCT_DEF=-DTELEFIRE_V_$(TELEFIRE_DEF)
IDPRODUCT=0x000f
CODESIZE=0x6700

include ../cc1111/Makefile.cc1111

NICKLE=nickle
CHECK_STACK=sh ../util/check-stack

V=0
# The user has explicitly enabled quiet compilation.
ifeq ($(V),0)
quiet = @printf "  $1 $2 $@\n"; $($1)
endif
# Otherwise, print the full command line.
quiet ?= $($1)

all: ../$(PROG)

../$(PROG): $(REL) Makefile
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(REL) && cp $(PROG) $(PMAP) ..
	$(call quiet,CHECK_STACK) ../cc1111/ao_arch.h $(PMEM)  || rm $@

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean: clean-cc1111

install:

uninstall:

=== src/telelco-v0.1/Makefile ===
#
# AltOS build for TeleLCO
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	ao_product.h \
	ao_seven_segment.h \
	ao_lco.h \
	ao_lco_cmd.h \
	ao_lco_func.h \
	ao_radio_spi.h \
	ao_radio_cmac.h \
	stm32l.h

#
# Common AltOS sources
#

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

ALTOS_SRC = \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_beep_stm.c \
	ao_storage.c \
	ao_eeprom_stm.c \
	ao_lcd_stm.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_radio_master.c \
	ao_seven_segment.c \
	ao_quadrature.c \
	ao_button.c \
	ao_event.c \
	ao_lco.c \
	ao_lco_cmd.c \
	ao_lco_func.c \
	ao_radio_cmac_cmd.c

PRODUCT=TeleLCO-v0.1
PRODUCT_DEF=-DMEGAMETRUM
IDPRODUCT=0x0023

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) -Os -g

PROGNAME=telelco-v0.1
PROG=$(PROGNAME)-$(VERSION).elf

SRC=$(ALTOS_SRC) ao_telelco.c
OBJ=$(SRC:.c=.o)

all: $(PROG)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(SAT_CLIB) -lgcc

../altitude.h: make-altitude
	nickle $< > $@

$(OBJ): $(INC)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf
	rm -f ao_product.h

install:

uninstall:

=== debian/changelog ===
altos (1.1.1-1) unstable; urgency=low
  * new upstream bug-fix release
    - fix flight data deletion problem affecting TeleMetrum v1.0 boards only
    - fix broken Google Earth export from on-board flight data (.eeprom) files
    - fix units displayed on "Landed" tab in UI to honor imperial units flag
    - display both range to the rocket and ground distance in "Descent" tab
    - fix bug in sensor data display for TeleMini in "Monitor Idle" mode

 -- Bdale Garbee <bdale@gag.com>  Sun, 16 Sep 2012 14:07:23 -0600

altos (1.1-1) unstable; urgency=low

  * new upstream minor release, which provides a few new features in AltosUI
    and the AltOS firmware, and fixes bugs
    - Add apogee-lockout value. Overrides the apogee detection logic to
      prevent incorrect apogee charge firing.  A configuration menu 
      provides a list of reasonable values, or the value can be set by hand.
    - Fix a bug where the data reported in telemetry packets was from 
      320ms ago.
    - Force the radio frequency to 434.550MHz when the debug clock
      pin is connected to ground at boot time. This provides a way
      to talk to a TeleMini which is configured to some unknown frequency.
    - Provide RSSI values for Monitor Idle mode. This makes it easy to check 
      radio range without needing to go to flight mode.
    - Fix a bug which caused the old received telemetry packets to
      be retransmitted over the USB link when the radio was turned
      off and back on.
    - Fix a bug that caused GPS ready to happen too quickly. The
      software was using every telemetry packet to signal new GPS
      data, which caused GPS ready to be signalled after 10 packets
      instead of 10 GPS updates.
    - Fix Google Earth data export to work with recent versions. The
      google earth file loading code got a lot pickier, requiring
      some minor white space changes in the export code.
    - Make the look-n-feel configurable, providing a choice from
      the available options.
    - Add an 'Age' element to mark how long since a telemetry packet
      has been received. Useful to quickly gauge whether
      communications with the rocket are still active.
    - Add 'Configure Ground Station' dialog to set the radio
      frequency used by a particular TeleDongle without having to go
      through the flight monitor UI.
    - Re-compute time spent in each state for the flight graph; this
      figures out the actual boost and landing times instead of
      using the conservative values provide by the flight
      electronics. This improves the accuracy of the boost
      acceleration and main descent rate computations.
    - Make AltosUI run on Mac OS Lion. The default Java heap space
      was dramatically reduced for this release causing much of the
      UI to fail randomly. This most often affected the satellite
      mapping download and displays.
    - Change how data are displayed in the 'table' tab of the flight
      monitoring window. This eliminates entries duplicated from the
      header and adds both current altitude and pad altitude, which
      are useful in 'Monitor Idle' mode.
    - Add Imperial units mode to present data in feet instead of
  * update build-deps to use cc1111 intead of sdcc, closes: #676739
  * update build-deps to use default-jdk, closes: #655580

 -- Bdale Garbee <bdale@gag.com>  Thu, 13 Sep 2012 14:46:50 -0600

=== debian/rules ===
--- 
+++ 
@@ -3,17 +3,10 @@
 
 export DH_VERBOSE=1
 PKG_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)/\1/p')
-DEB_VERSION := $(shell if [ -x /usr/bin/git ]; then git describe; else echo 0; fi | tr - +)
 
 # this target invoked by git-buildpackage using a clean hook, see .gbp.conf
 prebuild:
-	echo $(DEB_VERSION)
-	git-dch --release --new-version=$(DEB_VERSION) --multimaint-merge
-	git log > ChangeLog
-	git commit -n ChangeLog debian/changelog \
-		-m "update changelogs for Debian build"
-#	git tag debian/$(DEB_VERSION)
-#	git push --tags origin master
+	echo "not frobbing changelog for official builds"
 
 configure: configure-stamp
 configure-stamp:
